//	unTextPath.js
//	http://www.pictrix.jp/	Umezawa
//	



if ( documents.length > 0 && activeDocument.textFrames.length > 0 )
{
	selObj = activeDocument.selection;
	selCnt = selObj.length;

	if ( activeDocument.documentColorSpace == DocumentColorSpace.RGB ){
		bColor = new RGBColor();
		bColor.red= 0.0;
		bColor.green = 0.0;
		bColor.blue = 0.0;
	}
	else{
		bColor = new CMYKColor();
		bColor.black = 100.0;
		bColor.cyan = 0.0;
		bColor.magenta = 0.0;
		bColor.yellow = 0.0;
	}

	for ( i = selCnt - 1; i >= 0; i-- ){
		if ( selObj[ i ].typename = "TextFrame" ){
			if ( selObj[ i ].kind == TextType.AREATEXT ) type = 0;
			else if ( selObj[ i ].kind == TextType.PATHTEXT ) type = 1;
			else continue;

			engine( selObj[ i ], type, bColor );
			selObj[ i ].remove( );
		}
	}
}



function engine( obj, type, col )
{
	var i, pt;
	var pos = new Array(  );

	pt = obj.textPath.pathPoints;
	for ( i = 0; i < pt.length; i++ ){
		pos[ i ] = pt[ i ].anchor;
	}

	var newPt = obj.layer.pathItems.add( );
	newPt.setEntirePath( pos );
	newPt.filled= false;
	newPt.stroked = true;
	newPt.strokeWidth = 1.0;
	newPt.strokeColor = col;

	for ( i = 0; i < pt.length; i++ ){
		newPt.pathPoints[ i ].leftDirection = pt[ i ].leftDirection;
		newPt.pathPoints[ i ].rightDirection = pt[ i ].rightDirection;
	}

	if ( type == 0 )@newPt.closed = true;
}








